%define upstream_name Catalyst-Plugin-Authentication-Credential-PAM
%define upstream_version 0.01
%define abbrevname Catalyst-P-A-Credential-PAM

%{?perl_default_filter}

Name:		perl-%{abbrevname}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4
License:	Artistic/GPL
Group:		Development/Perl
Summary:	Authenticate a user against PAM
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Authen::PAM)
BuildRequires:	perl(Catalyst)
Provides:	perl-%{upstream_name}
BuildArch:	noarch

%description
This is an authentication credential checker that verifies passwords
using a specified PAM service.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc Changes
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.10.0-4pclos2017
- rebuild against updates

